# circuits.web.client module

circuits.web.client.parse_url(url)

exception circuits.web.client.HTTPException

  Bases: `Exception`

exception circuits.web.client.NotConnected

  Bases: `HTTPException`

class circuits.web.client.request(method, path, body=None, headers=None)

  Bases: `Event`

  request Event

  This Event is used to initiate a new request.

  Parameters:

    - method (str) – HTTP Method (PUT, GET, POST, DELETE)

    - url (str) – Request URL

  x.__init__(…) initializes x; see x.__class__.__doc__ for signature

class circuits.web.client.Client(*args, **kwargs)

  Bases: `BaseComponent`

  Initializes x; see x.__class__.__doc__ for signature

  channel = 'client'
  write(data)
  close()
  connect(event, host=None, port=None, secure=None)
  request(method, url, body=None, headers=None)
  property connected
  property response